slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPDestroy

Destroys the NEP context.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPDestroy(NEP *nep)

Collective

### Input Parameter

| nep | - eigensolver context obtained from NEPCreate()

### See Also

NEPCreate(), NEPSetUp(), NEPSolve()

### Level

beginner

### Location

src/nep/interface/nepbasic.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
src/nep/tutorials/ex54f.F90
src/nep/tutorials/nlevp/gun.c
src/nep/tutorials/nlevp/loaded_string.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages